org.apache.hadoop.yarn.webapp.hamlet2

## Class Hamlet.DL<T extends HamletSpec.__>

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp<T>
  - - org.apache.hadoop.yarn.webapp.hamlet2.Hamlet.DL<T>

- All Implemented Interfaces:
    HamletSpec.__, HamletSpec._Child, HamletSpec._Dl, HamletSpec.Attrs, HamletSpec.CoreAttrs, HamletSpec.DL, HamletSpec.EventsAttrs, HamletSpec.I18nAttrs
  Enclosing class:
    Hamlet

      public class Hamlet.DL<T extends HamletSpec.__>
      extends HamletImpl.EImp<T>
      implements HamletSpec.DL

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DL(String name, T parent, EnumSet<HamletImpl.EOpt> opts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Hamlet.DL<T>` | `$class(String value)` space-separated list of classes
    `Hamlet.DL<T>` | `$dir(HamletSpec.Dir value)` direction for weak/neutral text
    `Hamlet.DL<T>` | `$id(String value)` document-wide unique id
    `Hamlet.DL<T>` | `$lang(String value)` language code
    `Hamlet.DL<T>` | `$onclick(String value)` a pointer button was clicked
    `Hamlet.DL<T>` | `$ondblclick(String value)` a pointer button was double clicked
    `Hamlet.DL<T>` | `$onkeydown(String value)` a key was pressed down
    `Hamlet.DL<T>` | `$onkeypress(String value)` a key was pressed and released
    `Hamlet.DL<T>` | `$onkeyup(String value)` a key was released
    `Hamlet.DL<T>` | `$onmousedown(String value)` a pointer button was pressed down
    `Hamlet.DL<T>` | `$onmousemove(String value)` a pointer was moved within
    `Hamlet.DL<T>` | `$onmouseout(String value)` a pointer was moved away
    `Hamlet.DL<T>` | `$onmouseover(String value)` a pointer was moved onto
    `Hamlet.DL<T>` | `$onmouseup(String value)` a pointer button was released
    `Hamlet.DL<T>` | `$style(String value)` associated style info
    `Hamlet.DL<T>` | `$title(String value)` advisory title
    `Hamlet.DD<Hamlet.DL<T>>` | `dd()` Add a DD (definition/description) element.
    `Hamlet.DL<T>` | `dd(String cdata)` Add a complete DD element.
    `Hamlet.DT<Hamlet.DL<T>>` | `dt()` Add a DT (term of the item) element.
    `Hamlet.DL<T>` | `dt(String cdata)` Add a complete DT element.

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp

      `__, _endTag, _inline, _p, _pre, _v, addAttr, addAttr, addMediaAttr, addRelAttr, closeAttrs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

- - ### Constructor Detail

    - #### DL

          public DL(String name,
                    T parent,
                    EnumSet<HamletImpl.EOpt> opts)

  - ### Method Detail

    - #### $id

          public Hamlet.DL<T> $id(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      document-wide unique id
      Specified by:
        `$id` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the id
      Returns:
        the current element builder

    - #### $class

          public Hamlet.DL<T> $class(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      space-separated list of classes
      Specified by:
        `$class` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the classes
      Returns:
        the current element builder

    - #### $title

          public Hamlet.DL<T> $title(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      advisory title
      Specified by:
        `$title` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the title
      Returns:
        the current element builder

    - #### $style

          public Hamlet.DL<T> $style(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      associated style info
      Specified by:
        `$style` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the style
      Returns:
        the current element builder

    - #### $lang

          public Hamlet.DL<T> $lang(String value)

      Description copied from interface: `HamletSpec.I18nAttrs`
      language code
      Specified by:
        `$lang` in interface `HamletSpec.I18nAttrs`
      Parameters:
        `value` - the code
      Returns:
        the current element builder

    - #### $dir

          public Hamlet.DL<T> $dir(HamletSpec.Dir value)

      Description copied from interface: `HamletSpec.I18nAttrs`
      direction for weak/neutral text
      Specified by:
        `$dir` in interface `HamletSpec.I18nAttrs`
      Parameters:
        `value` - the `HamletSpec.Dir` value
      Returns:
        the current element builder

    - #### $onclick

          public Hamlet.DL<T> $onclick(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was clicked
      Specified by:
        `$onclick` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $ondblclick

          public Hamlet.DL<T> $ondblclick(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was double clicked
      Specified by:
        `$ondblclick` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmousedown

          public Hamlet.DL<T> $onmousedown(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was pressed down
      Specified by:
        `$onmousedown` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseup

          public Hamlet.DL<T> $onmouseup(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was released
      Specified by:
        `$onmouseup` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseover

          public Hamlet.DL<T> $onmouseover(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved onto
      Specified by:
        `$onmouseover` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmousemove

          public Hamlet.DL<T> $onmousemove(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved within
      Specified by:
        `$onmousemove` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseout

          public Hamlet.DL<T> $onmouseout(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved away
      Specified by:
        `$onmouseout` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeypress

          public Hamlet.DL<T> $onkeypress(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was pressed and released
      Specified by:
        `$onkeypress` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeydown

          public Hamlet.DL<T> $onkeydown(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was pressed down
      Specified by:
        `$onkeydown` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeyup

          public Hamlet.DL<T> $onkeyup(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was released
      Specified by:
        `$onkeyup` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### dt

          public Hamlet.DT<Hamlet.DL<T>> dt()

      Description copied from interface: `HamletSpec._Dl`
      Add a DT (term of the item) element.
      Specified by:
        `dt` in interface `HamletSpec._Dl`
      Returns:
        a new DT element builder

    - #### dt

          public Hamlet.DL<T> dt(String cdata)

      Description copied from interface: `HamletSpec._Dl`
      Add a complete DT element.
      Specified by:
        `dt` in interface `HamletSpec._Dl`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### dd

          public Hamlet.DD<Hamlet.DL<T>> dd()

      Description copied from interface: `HamletSpec._Dl`
      Add a DD (definition/description) element.
      Specified by:
        `dd` in interface `HamletSpec._Dl`
      Returns:
        a new DD element builder

    - #### dd

          public Hamlet.DL<T> dd(String cdata)

      Description copied from interface: `HamletSpec._Dl`
      Add a complete DD element.
      Specified by:
        `dd` in interface `HamletSpec._Dl`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.